NavigationFilter.FilterBypass (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text, class: NavigationFilter, class: FilterBypass
Keywords: javax.swing.text.NavigationFilter.FilterBypass class

# Class NavigationFilter.FilterBypass

java.lang.Object
javax.swing.text.NavigationFilter.FilterBypass

Enclosing class:
  `NavigationFilter`

public abstract static class NavigationFilter.FilterBypass extends Object
Used as a way to circumvent calling back into the caret to position the cursor. Caret implementations that wish to support a NavigationFilter must provide an implementation that will not callback into the NavigationFilter.

Since:
  1.4

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FilterBypass()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Caret`
  `getCaret()`
  Returns the Caret that is changing.
  `abstract void`
  `moveDot(int dot, Position.Bias bias)`
  Moves the caret location, bypassing the NavigationFilter.
  `abstract void`
  `setDot(int dot, Position.Bias bias)`
  Sets the caret location, bypassing the NavigationFilter.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### FilterBypass

    protected FilterBypass()
    Constructor for subclasses to call.

- ## Method Details

  - ### getCaret

    public abstract Caret getCaret()
    Returns the Caret that is changing.
    Returns:
      Caret that is changing

  - ### setDot

    public abstract void setDot(int dot, Position.Bias bias)
    Sets the caret location, bypassing the NavigationFilter.
    Parameters:
      `dot` - the position >= 0
      `bias` - Bias to place the dot at

  - ### moveDot

    public abstract void moveDot(int dot, Position.Bias bias)
    Moves the caret location, bypassing the NavigationFilter.
    Parameters:
      `dot` - the position >= 0
      `bias` - Bias for new location